package com.ruoyi.project.VRdemo.controller;

import com.alibaba.fastjson2.JSONObject;
import com.qiniu.common.QiniuException;
import com.ruoyi.framework.aspectj.lang.annotation.Anonymous;
import com.ruoyi.framework.web.domain.AjaxResult;

import com.ruoyi.project.VRdemo.qiniu.QiniuService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("/VRdemo/QiniuUpload")
public class QiniuUploadController {

    @Autowired
    private QiniuService qiniuService;

//    @Autowired
//    private IImageDataService imageDataService;
//
//    @Autowired
//    private IVideoDataService videoDataService;

    /**
     * 上传到七牛云的默认文件夹目录下
     * @param file
     * @return
     * @throws QiniuException
     */
    @PostMapping("/upload")
    public AjaxResult upload(@RequestParam("file") MultipartFile file) throws QiniuException {
        return qiniuService.breakpointUpload(file, "");//断点上传
    }

    /**
     * 上传到七牛云的image文件夹目录下
     * @param file
     * @return
     * @throws QiniuException
     */
    @PostMapping("/image")
    public AjaxResult uploadImage(@RequestParam("file") MultipartFile file) throws QiniuException {
        return qiniuService.breakpointUpload(file, "image/");//断点上传
    }

    /**
     * 上传到七牛云的video文件夹目录下
     * @param file
     * @return
     * @throws QiniuException
     */
    @PostMapping("/video")
    public AjaxResult uploadVideo(@RequestParam("file") MultipartFile file) throws QiniuException {
        return qiniuService.breakpointUpload(file, "video/");//断点上传
    }

    /**
     * 上传到七牛云的scene文件夹目录下
     * @param file
     * @return
     * @throws QiniuException
     */
    @PostMapping("/scene")
    public AjaxResult uploadScene(@RequestParam("file") MultipartFile file) throws QiniuException {
        return qiniuService.breakpointUpload(file, "scene/");//断点上传
    }

    /**
     *通过url删除七牛云中的文件
     * @return
     */
    @Anonymous
    @PostMapping("/deleteUpload")
    public AjaxResult deleteUpload(@RequestBody JSONObject jsonObject) throws QiniuException {
        String url = jsonObject.getString("url");

        return qiniuService.deleteFile(url);
    }
}