package com.ruoyi.project.VRdemo.service;

import com.ruoyi.project.VRdemo.domain.NoteNationData;
import com.ruoyi.project.VRdemo.domain.NoticeData;
import com.ruoyi.project.VRdemo.domain.NoticeImData;
import com.ruoyi.project.VRdemo.domain.vo.NoticeDataVo;

import java.util.List;

public interface INoticeDataService {
    /**
     * 查询notice
     *
     * @param id notice主键
     * @return notice
     */
    public NoticeData selectNoticeDataById(Long id);

    /**
     * 查询notice列表
     *
     * @param noticeData notice
     * @return notice集合
     */
    public List<NoticeData> selectNoticeDataList(NoticeData noticeData);

    /**
     * 新增notice
     *
     * @param noticeData notice
     * @return 结果
     */
    public int insertNoticeData(NoticeData noticeData);
    /**
     * 校验用户名称是否唯一
     *
     * @param noticeData 用户信息
     * @return 结果
     */
    public boolean checkUserNameUnique(NoticeData noticeData);
    /**
     * 修改notice
     *
     * @param noticeData notice
     * @return 结果
     */
    public int updateNoticeData(NoticeData noticeData);

    /**
     * 批量删除notice
     *
     * @param ids 需要删除的notice主键集合
     * @return 结果
     */
    public int deleteNoticeDataByIds(Long[] ids);

    /**
     * 删除notice信息
     *
     * @param id notice主键
     * @return 结果
     */
    public int deleteNoticeDataById(Long id);

    public List<NoticeData> selectNoticeDataListVo(NoticeDataVo noticeDataVo);

    /**
     * 导入用户数据
     *
     * @param noticeList 用户数据列表
     * @param UpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @return 结果
     */
    public String importNotice(List<NoticeImData> noticeList, Boolean UpdateSupport);
}
