package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Research;
import com.ruoyi.project.VRdemo.domain.Research;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 研究Service接口
 * 
 * @author ruoyi
 * @date 2024-06-23
 */
public interface IResearchService 
{
    /**
     * 查询研究
     * 
     * @param id 研究主键
     * @return 研究
     */
    public Research selectResearchById(Long id);

    /**
     * 查询研究列表
     * 
     * @param research 研究
     * @return 研究集合
     */
    public List<Research> selectResearchList(Research research);

    /**
     * 新增研究
     * 
     * @param research 研究
     * @return 结果
     */
    public int insertResearch(Research research);

    /**
     * 修改研究
     * 
     * @param research 研究
     * @return 结果
     */
    public int updateResearch(Research research);

    /**
     * 批量删除研究
     * 
     * @param ids 需要删除的研究主键集合
     * @return 结果
     */
    public int deleteResearchByIds(Long[] ids);

    /**
     * 删除研究信息
     * 
     * @param id 研究主键
     * @return 结果
     */
    public int deleteResearchById(Long id);

    //EasyExcel批量导入
    @Transactional(isolation = Isolation.READ_COMMITTED)
    String importResearch(List<Research> studyList, Boolean updateSupport);
}
